import request from '@/config/axios'

// 查询（精简)列表
export const getPaymentList = async (params) => {
  return await request.get({ url: '/admin-api/crm/sign-pay-record/list', params })
}

// 查询（精简)列表
export const getPaymentPage = async (params) => {
  return await request.get({ url: '/admin-api/crm/sign-pay-record/page', params })
}

// 新增
export const createPayment = async (data) => {
  return await request.post({ url: '/admin-api/crm/sign-pay-record/create', data })
}

// 审核
export const auditPayment = async (data) => {
  return await request.post({ url: '/admin-api/crm/sign-pay-record/check', data })
}

export const batchAuditPayment = async (data) => {
  return await request.post({ url: '/admin-api/crm/sign-pay-record/batch/check', data })
}

// 撤销
export const cancelApplyPayment = async (data) => {
  return await request.post({ url: '/admin-api/crm/sign-pay-record/revoke', params: data })
}

// 查询详情
export const getPaymentDetail = async (params) => {
  return await request.get({ url: '/admin-api/crm/sign-pay-record/get', params })
}
